Get cancellation payload for a withdrawal request
curl --request POST \
--url https://api.byzantine.fi/v1/query/get-cancel-withdrawal-payload-passkey \
--header 'Content-Type: application/json' \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"transactionId": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://api.byzantine.fi/v1/query/get-cancel-withdrawal-payload-passkey"
payload = { "transactionId": "550e8400-e29b-41d4-a716-446655440000" }
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({transactionId: '550e8400-e29b-41d4-a716-446655440000'})
};
fetch('https://api.byzantine.fi/v1/query/get-cancel-withdrawal-payload-passkey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bodyToSign": {
"type": "ACTIVITY_TYPE_SIGN_RAW_PAYLOAD_V2",
"timestampMs": "<string>",
"organizationId": "<string>",
"parameters": {
"signWith": "<string>",
"payload": "<string>",
"encoding": "PAYLOAD_ENCODING_HEXADECIMAL",
"hashFunction": "HASH_FUNCTION_NO_OP"
}
},
"transactionId": "550e8400-e29b-41d4-a716-446655440000",
"destinationBankAccount": {
"country": "FRA",
"last4": "0804",
"objectId": "550e8400-e29b-41d4-a716-446655440000",
"name": "Business account",
"bic": "BICFR12345",
"bankName": "Wells Fargo"
}
}Passkey flow
Get cancellation payload for a withdrawal request
Get the payload to sign in order to cancel a queued withdrawal. Part of the passkey authentication flow.
POST
/
v1
/
query
/
get-cancel-withdrawal-payload-passkey
Get cancellation payload for a withdrawal request
curl --request POST \
--url https://api.byzantine.fi/v1/query/get-cancel-withdrawal-payload-passkey \
--header 'Content-Type: application/json' \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"transactionId": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://api.byzantine.fi/v1/query/get-cancel-withdrawal-payload-passkey"
payload = { "transactionId": "550e8400-e29b-41d4-a716-446655440000" }
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({transactionId: '550e8400-e29b-41d4-a716-446655440000'})
};
fetch('https://api.byzantine.fi/v1/query/get-cancel-withdrawal-payload-passkey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bodyToSign": {
"type": "ACTIVITY_TYPE_SIGN_RAW_PAYLOAD_V2",
"timestampMs": "<string>",
"organizationId": "<string>",
"parameters": {
"signWith": "<string>",
"payload": "<string>",
"encoding": "PAYLOAD_ENCODING_HEXADECIMAL",
"hashFunction": "HASH_FUNCTION_NO_OP"
}
},
"transactionId": "550e8400-e29b-41d4-a716-446655440000",
"destinationBankAccount": {
"country": "FRA",
"last4": "0804",
"objectId": "550e8400-e29b-41d4-a716-446655440000",
"name": "Business account",
"bic": "BICFR12345",
"bankName": "Wells Fargo"
}
}Headers
Query Parameters
Body
application/json
Cancel withdrawal request body

